
function setSelectedDay(myElement, bPeriod)
{
    if (myElement.id == "calCell")
    {
        if (!isNaN(parseInt(myElement.children["calDateText"].innerText, 10)))
        {
            objPrevElement.bgColor = ""+rememberColor;
            if (myElement.bgColor == currentDateColor)
            {
                rememberColor = currentDateColor;
            }
            else if (myElement.bgColor == weekendDateColor)
            {
                rememberColor = weekendDateColor;
            }
            else
            {
                rememberColor = "";
            }
            myElement.bgColor = selectedDateColor;

            theDate = parseInt(myElement.children['calDateText'].innerText, 10);
            if (theDate < 10)
            {
                theDate = "0" + theDate;
            }

			parent.document.getElementById("lastSelected").value = theDate;
			objPrevElement = myElement;
		}
	}
}

function setDateParams()
{
	selMonthIndex = document.getElementById('tbSelMonth').selectedIndex;
	var theMonthInt = (selMonthIndex+1);
	if (selMonthIndex < 9)
	{
		theMonth = "0" + theMonthInt;
	}
	else
	{
		theMonth = "" + theMonthInt;
	}

	theYear = document.getElementById('tbSelYear').value;

	if (!bDDMM)
	{
		dateString = theYear + deLim + theMonth + deLim + parent.document.getElementById("lastSelected").value + "";
	}
	else
	{
		dateString = theYear + deLim + theMonth + deLim + parent.document.getElementById("lastSelected").value + "";
	}

	if (!bDateOnly)
	{
		dateString += " " + document.getElementById('timeField').value;
	}

	var parseTimeString = document.getElementById('timeField').value;
	parsedHour = parseTimeString.substring(0, 2);
	parsedMin = parseTimeString.substring(3, 5);
	parsedSeconds = parseTimeString.substring(6,8);
}


function setStartDate(calendarParentFormName, myElement, bPeriod)
{
    if (myElement.id == "calCell")
    {
        if (!isNaN(parseInt(myElement.children["calDateText"].innerText, 10)))
        {
			setDateParams();
		
			if (!bDateOnly)
			{
				selectedStartDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value, parseInt(parsedHour, 10), parseInt(parsedMin, 10),parseInt(parsedSeconds,10));
			}
			else
			{
				selectedStartDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value);
			}
		
			if (!bPeriod)
			{
				parent.document.getElementById("calSelectedDate").value = dt2dtstr(selectedStartDate,theDateFormat);
				parent.document.getElementById("calSelectedStartDate").value = dt2dtstr(selectedStartDate,theDateFormat);
			}
			else
			{
				parent.document.getElementById("calSelectedStartDate").value = dt2dtstr(selectedStartDate,theDateFormat);
				parent.document.getElementById("calSelectedDate").value = dt2dtstr(selectedStartDate,theDateFormat);
			}
			dateString = "";
		
			showDate(calendarParentFormName, bPeriod);
		}
	}
}

function setEndDate(calendarParentFormName, bPeriod)
{
	if (bPeriod)
	{
		setDateParams();
	
		if (!bDateOnly)
		{
			selectedEndDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value, parseInt(parsedHour, 10), parseInt(parsedMin, 10));
		}
		else
		{
			selectedEndDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value);
		}

		if (parent.document.getElementById("calSelectedStartDate").value == "")
		{
			if (parent.document.getElementById("calSelectedDate").value != "")
			{
				parent.document.getElementById("calSelectedStartDate").value = parent.document.getElementById("calSelectedDate").value;
			}
			else
			{
				//alert("Please select a start date first");
			}
		}

		parent.document.getElementById("calSelectedEndDate").value = dateString;
		dateString = "";

		showDate(calendarParentFormName, bPeriod);
	}
	else
	{
		parent.document.getElementById("optionField").selectedIndex = 3;
		bPeriod = true;

		setDateParams();

		if (!bDateOnly)
		{
			selectedEndDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value, parseInt(parsedHour, 10), parseInt(parsedMin, 10));
		}
		else
		{
			selectedEndDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value);
		}

		if (parent.document.getElementById("calSelectedStartDate").value == "")
		{
			if (parent.document.getElementById("calSelectedDate").value != "")
			{
				parent.document.getElementById("calSelectedStartDate").value = parent.document.getElementById("calSelectedDate").value;
			}
			else
			{
				//alert("Please select a start date first");
				//dateString = "";
			}
		}

		parent.document.getElementById("calSelectedEndDate").value = dateString;
		dateString = "";
		showDate(calendarParentFormName, bPeriod);
	}
}



function updateCalendar(iYear, iMonth, iDate, sTime)
{
    myMonth = buildCalendar(iYear, iMonth, iDate);
    objPrevElement.bgColor = "";
    objPrevElement.borderWidth = "0px";
    parent.document.getElementById("calSelectedDate").value = "";
    var currentYear = selectedStartDate.getFullYear();
    var currentMonth = selectedStartDate.getMonth()+1;
    //if (currentMonth != iMonth) {alert("not");} else if (currentMonth == iMonth) {alert("is");}
    for (w = 1; w < 7; w++)
    {
        for (d = 0; d < 7; d++)
        {
            if (!isNaN(myMonth[w][d]))
            {
                calDateText[((7*w)+d)-7].innerText = myMonth[w][d];
                calDateText[((7*w)+d)-7].parentElement.style.cursor = "hand";
                if ((currentMonth == iMonth) && (currentYear == iYear) && (iDate == myMonth[w][d]))
                {
                    calDateText[((7*w)+d)-7].parentElement.bgColor = "cdd6a9";
                    calDateText[((7*w)+d)-7].parentElement.borderWidth = "1px";
                    calDateText[((7*w)+d)-7].parentElement.borderStyle = "solid";
                    calDateText[((7*w)+d)-7].parentElement.borderColor = "000000";
                }
                else
                {
                    if ((d=="0") || (d=="6"))
                    {
                        calDateText[((7*w)+d)-7].parentElement.bgColor = "eeeaaa";
                        calDateText[((7*w)+d)-7].parentElement.borderWidth = "0px";
                        calDateText[((7*w)+d)-7].parentElement.borderStyle = "solid";
                        calDateText[((7*w)+d)-7].parentElement.borderColor = "eeeaaa";
                    }
                    else
                    {
                        calDateText[((7*w)+d)-7].parentElement.bgColor = "";
                        calDateText[((7*w)+d)-7].parentElement.borderWidth = "0px";
                        calDateText[((7*w)+d)-7].parentElement.borderStyle = "solid";
                        calDateText[((7*w)+d)-7].parentElement.borderColor = "ffffff";
                    }
                }
            }
            else
            {
                calDateText[((7*w)+d)-7].innerText = " ";
                calDateText[((7*w)+d)-7].parentElement.style.cursor = "";
                calDateText[((7*w)+d)-7].parentElement.bgColor = "e4e4e4";
                calDateText[((7*w)+d)-7].parentElement.borderWidth = "0px";
                calDateText[((7*w)+d)-7].parentElement.borderStyle = "solid";
                calDateText[((7*w)+d)-7].parentElement.borderColor = "e4e4e4";
            }
        }
    }
}

function showDate(calendarParentFormName, bPeriod)
{
	if (!bPeriod)
    {
		if (parent.document.getElementById("calSelectedDate").value != "")
		{
            parent.document.getElementById("dateField_"+calendarParentFormName.name+"_datefield").value = parent.document.getElementById("calSelectedDate").value;
			parent.document.getElementById("dateField_"+calendarParentFormName.name+"_datefield").focus();
        }
	}
	else
	{
		parent.document.getElementById("dateField_"+calendarParentFormName.name+"_datefield").value = parent.document.getElementById("calSelectedStartDate").value + " to " + parent.document.getElementById("calSelectedEndDate").value;
		if ((parent.document.getElementById("calSelectedStartDate").value) != "" && (parent.document.getElementById("calSelectedEndDate").value != ""))
		{
        	//document.getElementById("calendarContentDiv").style.visibility = "hidden";
			parent.document.getElementById("dateField_"+calendarParentFormName.name+"_datefield").focus();
		}
    }

	if (parent.document.getElementById("dateField_"+calendarParentFormName.name+"_datefield").value == "")
    {
        alert("Please select a date");
    }
}

// dt_datetime yyyy-mm-dd hh:mm:ss
// dateFormat dd/mm/yyyy
function dtstr2dtfmt(dt_datetime, dateFormat) {
   //arr_months = ['Jan','Feb','Mar','Apr','May','Jun','Jly','Aug','Sep','Oct','Nov','Dec'];
   dt_part = dt_datetime.split(' ')[0];
   tm_part = dt_datetime.split(' ')[1];
   var dt,tm;	   

   if (tm_part != 'undefined' && tm_part != null) {
	   tm = tm_part.split (':');		   
	   dt = dt_part.split ('-');
	   dt = new Date (dt[0],dt[1]-1,dt[2],tm[0],tm[1],tm[2]);
   }else {
        tm = '00:00:00'.split (':');
	    dt = dt_part.split ('-');
		dt = new Date (dt[0],dt[1]-1,dt[2]);
   }
  
   d = dt.getDate ();
   m = dt.getMonth ();
   y = dt.getFullYear ();

   sTmp = dateFormat.split (' ') ? dateFormat.split(' ')[0] : dateFormat;

   sTmp = sTmp.replace  ("dd","<e>");
   sTmp = sTmp.replace  ("d","<d>");
   sTmp = sTmp.replace  ("<e>",padZero(d));
   sTmp = sTmp.replace  ("<d>",d);
   sTmp = sTmp.replace  ("mm","<n>");
   sTmp = sTmp.replace  ("m","<m>");
   sTmp = sTmp.replace  ("<m>",m+1);
   sTmp = sTmp.replace  ("<n>",padZero(m+1));
   sTmp = sTmp.replace  ("yyyy","<4y>");
   sTmp = sTmp.replace  ("yy","<2y>");
   sTmp = sTmp.replace  ("<4y>",y);	
   sTmp = sTmp.replace  ("<2y>",padZero(new String(y).substring(3,4)));

	var hasdateTime = dateFormat.split(' ')[1]; 

   if((tm_part != 'undefined') && (hasdateTime != null)) {
	   sTmp = sTmp + " " +  dateFormat.split(' ')[1];
	   sTmp = sTmp.replace  ("HH",padZero(tm[0]));
	   sTmp = sTmp.replace  ("MM",padZero(tm[1]));
	   sTmp = sTmp.replace  ("SS",padZero(tm[2]));
   }
   return sTmp;
}

//function toggleColor(myElement)
//function getDaysInMonth(iMonth, iYear)
//function buildCalendar(iYear, iMonth, iDate, iDayStyle)
