
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Feb 10, 2005
 */
package com.ibm.ccd.ui.dataobjects.items;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;

import com.ibm.ccd.ui.dataobjects.attributes.Attribute;


/**
 *
 */
public class CatalogView {
    /**
     * Contains the key value pair of name of tab and attribute collection
     */
    private HashMap tabs = null;

    /**
     * Constructor
     */
    public CatalogView() {
        tabs = new HashMap();
    }

    public String[] getTabNames() {
        int size = 0;
        String[] tabNames = null;
        Set nameSet = null;
        nameSet = tabs.keySet();

        Iterator nameItr = null;
        nameSet = tabs.keySet();
        size = nameSet.size();
        tabNames = new String[size];
        nameItr = nameSet.iterator();

        for (int i = 0; i < size; i++) {
            tabNames[i] = (String) nameItr.next();
        }

        return tabNames;
    }

    public String[] getAttributeNames(String tabName) {
        ArrayList attributeList = null;
        Attribute attribute = null;
        String[] attributeNames = null;
        int size = 0;
        attributeList = (ArrayList) tabs.get(tabName);
        size = attributeList.size();
        attributeNames = new String[size];

        for (int i = 0; i < size; i++) {
            attribute = (Attribute) attributeList.get(i);
            attributeNames[i] = attribute.getName();
        }

        return attributeNames;
    }

    public ArrayList getAttributeList(String tabName) {
        ArrayList attributeList = null;
        attributeList = (ArrayList) tabs.get(tabName);

        return attributeList;
    }

    public void setTab(String tabName, ArrayList attributeList) {
        tabs.put(tabName, attributeList);
    }
}
