-- IBM Confidential
-- OCO Source Materials
-- 5724-I68.
-- (C) Copyright IBM Corp. 2000, 2004 - All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.

-- ====================================================================
-- ====================================================================

-- Alter User table
drop table tsec_scu_user_temp;
create table tsec_scu_user_temp as (select * from scu) definition only;

--commit;

insert into tsec_scu_user_temp select * from scu;

--commit;

drop synonym scu;

--commit;

drop table tsec_scu_user;

--commit;

create table tsec_scu_user
(
    scu_user_id                   bigint not null,
    scu_active                    char,
    scu_username                  varchar(400) not null,
    scu_password                  varchar(32),
    scu_first_name                varchar(100),
    scu_last_name                 varchar(100),
    scu_company_id                bigint not null,
    scu_user_phone                varchar(20),
    scu_user_address              varchar(200),
    scu_user_email                varchar(100),
    scu_user_title                varchar(40),
    scu_user_fax                  varchar(20),
    scu_log_flag                  bigint,
    scu_ldap_flag                 char,
    scu_notify_email              varchar(40),
    scu_ldap_entry_dn             varchar(750),
    scu_ldap_svr_url              varchar(800),
    constraint scu_0_pk
        primary key (scu_user_id),
    constraint scu_1_uk
        unique (scu_username, scu_company_id)
)

in users index in indx;

--commit;

create synonym scu for tsec_scu_user;

insert into tsec_scu_user select scu_user_id ,scu_active ,scu_username ,scu_password ,scu_first_name ,scu_last_name ,scu_company_id ,scu_user_phone ,scu_user_address ,scu_user_email ,scu_user_title ,scu_user_fax ,scu_log_flag ,scu_ldap_flag ,scu_notify_email ,'' , '' from tsec_scu_user_temp;

commit;

drop table tsec_scu_user_temp;

commit;

terminate;

