-- IBM Confidential
-- OCO Source Materials
-- 5724-I68.
-- (C) Copyright IBM Corp. 2000, 2004 - All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.

-- ====================================================================
-- Chitra A Iyer     15-DEC-2005
-- ====================================================================


-- Alter webservice table

drop table twbs_wbs_webservice_temp;

create table twbs_wbs_webservice_temp as (select * from wbs) definition only;

insert into twbs_wbs_webservice_temp select * from wbs;

drop synonym wbs;

drop table twbs_wbs_webservice;


create table twbs_wbs_webservice
(
    wbs_id                        bigint not null,
    wbs_cmp_id                    bigint,
    wbs_name                      varchar(100) not null,
    wbs_desc                      varchar(2000),
    wbs_url                       varchar(2000),
    wbs_wsdl_url                  varchar(2000),
    wbs_wsdl_doc_path             varchar(100),
    wbs_protocol                  varchar(50),
    wbs_style                     varchar(50),
    wbs_impl_script_path          varchar(2000),
    wbs_store_incoming            char,
    wbs_store_outgoing            char,
    wbs_deployed                  char,
    constraint wbs_0_pk
        primary key (wbs_id),
    constraint wbs_1_uk
        unique (wbs_name)
)
in users index in indx;

create synonym wbs for twbs_wbs_webservice;

insert into twbs_wbs_webservice select wbs_id, wbs_cmp_id, wbs_name, wbs_desc, wbs_url, wbs_wsdl_url, wbs_wsdl_doc_path, wbs_protocol, 'RPC_ENCODED', wbs_impl_script_path, wbs_store_incoming, wbs_store_outgoing, wbs_deployed from twbs_wbs_webservice_temp;
terminate;
